%define oname core

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.13.0
Release:        %mkrel 2
Summary:        Industrial strength alternative to OCaml's standard library

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam

BuildRequires:  ocaml-base-devel >= 0.13
BuildRequires:  ocaml-core_kernel-devel >= 1:0.13
BuildRequires:  ocaml-jane-street-headers-devel
BuildRequires:  ocaml-jst-config-devel >= 1:0.13
BuildRequires:  ocaml-ppx_jane-devel >= 1:0.13
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-sexplib-devel >= 2:0.13
BuildRequires:  ocaml-spawn-devel >= 1:0.12

%description
Industrial strength alternative to OCaml's standard library

The Core suite of libraries is an industrial strength alternative to
OCaml's standard library that was developed by Jane Street, the
largest industrial user of OCaml.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%files

%doc LICENSE.md CHANGES.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/dune-package
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%dir %{_libdir}/ocaml/%{oname}/*/
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs
%{_bindir}/*
%{_libdir}/ocaml/stublibs/dll*.so

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.h
%{_libdir}/ocaml/%{oname}/*.ml*
%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmti
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*



%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-2.mga8
+ Revision: 1670864
- Rebuild to generate ocamlx provides

* Sat Feb 29 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1552360
- BR ocaml-result-devel
+ pterjan <pterjan>
- Update file list
- Update to 0.13.0
- Update to 0.12.4
+ umeabot <umeabot>
- Rebuild for ocaml 4.10.0 final
- Mageia 8 Mass Rebuild

* Wed Oct 24 2018 pterjan <pterjan> 1:0.11.3-1.mga7
+ Revision: 1324925
- Update to 0.11.3

* Sun Sep 30 2018 daviddavid <daviddavid> 1:0.10.0-7.mga7
+ Revision: 1312661
- rebuild against ocaml-sexplib

* Sat Sep 01 2018 pterjan <pterjan> 1:0.10.0-5.mga7
+ Revision: 1256116
- Add BuildRequires ocaml-result-devel (not sure which package should have it)
- Fix build on non x86_64 64 bits architectures

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-4.mga7
+ Revision: 1242238
- rebuild for ocaml-sexplib

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1242094
- rebuild against current ocaml stack
- enable debug package as it should

* Mon Feb 05 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1199039
- fix shared stubs libraries ocaml path

* Tue Jan 16 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193723
- Fix BuildRequires
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Thu Feb 25 2016 pterjan <pterjan> 113.24.01-3.mga6
+ Revision: 978941
- Add more missing dependencies
- Add missing dependency

* Thu Feb 25 2016 pterjan <pterjan> 113.24.01-2.mga6
+ Revision: 978937
- Obsolete ocaml-janest-core

* Wed Feb 24 2016 pterjan <pterjan> 113.24.01-1.mga6
+ Revision: 977903
- imported package ocaml-core

